# Technologies Used

- [Angular][1]
- [Angular Material][2] - Material design for Angular
- [@ghsc/nshmp-template][3] - NSHMP Angular template
- [@ghsc/nshmp-utils-ts][5] - Web utilities
- [@ghsc/disagg-d3][6] - NSHMP disaggregation plots using D3
- [Plotly][9] - Plotting library
- [angular-plotly][10] - Angular wrapper for Plotly
- [Leaflet][11] - Mapping with Leaflet
- [ngx-leaflet][12] - Angular wrapper for Leaflet
- [USWDS][13] - Styling components and utilities
- [Compodoc][14] - Generate Angular documentation

## References

1. [https://angular.io/][1]
1. [https://material.angular.io/][2]
1. [https://code.usgs.gov/ghsc/nshmp/nshmp-template][3]
1. [https://code.usgs.gov/ghsc/nshmp/nshmp-haz-aws][4]
1. [https://code.usgs.gov/ghsc/nshmp/nshmp-utils-ts][5]
1. [https://code.usgs.gov/ghsc/nshmp/disagg-d3][6]
1. [https://plotly.com/javascript/][9]
1. [https://github.com/plotly/angular-plotly.js][10]
1. [https://leafletjs.com/][11]
1. [https://github.com/Asymmetrik/ngx-leaflet][12]
1. [https://designsystem.digital.gov/][13]
1. [https://compodoc.app/][14]

[1]: https://angular.io/
[2]: https://material.angular.io/
[3]: https://code.usgs.gov/ghsc/nshmp/nshmp-template
[4]: https://code.usgs.gov/ghsc/nshmp/nshmp-haz-aws
[5]: https://code.usgs.gov/ghsc/nshmp/nshmp-utils-ts
[6]: https://code.usgs.gov/ghsc/nshmp/disagg-d3
[9]: https://plotly.com/javascript/
[10]: https://github.com/plotly/angular-plotly.js
[11]: https://leafletjs.com/
[12]: https://github.com/Asymmetrik/ngx-leaflet
[13]: https://designsystem.digital.gov/
[14]: https://compodoc.app/

<br>
<div align="center">
  <h3> 
    Previous: <a href="https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/additional-documentation/prerequisites.html">Prerequisites</a> &emsp; &emsp;
    Next: <a href="https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/additional-documentation/project-structure.html">Project Structure</a>
  </h3>
</div>
