# USGS Earthquake Hazard Toolbox

[Home - USGS Earthquake Hazard Toolbox User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps)

Suite of applications to explore USGS national seismic hazard models (NSHM) and related data.

## Services

Various NSHMP web services are used throughout the applications including:

- [nshmp-haz](https://code.usgs.gov/ghsc/nshmp/nshmp-haz)
  - Dynamic hazard calculations
  - For current installed NSHMs see <https://earthquake.usgs.gov/ws/nshmp/hazard/dynamic/nshms>
- [nshmp-ws](https://code.usgs.gov/ghsc/nshmp/nshmp-ws)
  - Data web services: <https://earthquake.usgs.gov/ws/nshmp/data/>
- [nshmp-ws-static](https://code.usgs.gov/ghsc/nshmp/nshmp-ws-static)
  - Static hazard values from published NSHMs
  - For current installed NSHMs see <https://earthquake.usgs.gov/ws/nshmp/hazard/static/nshms>

See [WebServices](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/blob/main/projects/nshmp-apps/src/environments/web-services.ts)
for the web service configuration.

## Applications

### Dashboard

Main entrypoint to the USGS Earthquake Hazard Toolbox.

See [dashboard application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dashboard).

### Development Applications

Applications for development purposes.

See [development applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev).

### Error Pages

Pages to use for reverse proxy errors including 404, 410, and 500 errors.

See [error pages](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/error-pages).

### Ground Motion Model Applications

Applications dealing with ground motion models.

See [GMM applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm).

### Hazard Applications

Dynamic and static hazard applications for NSHMs.

See [hazard applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard)

### Services Application

Application showing all the NSHMP web services and Swagger pages.

See [services](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/services).

### Source Model Applications

Applications exploring the source model.

See [source model applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source).

## Routing

USGS Earthquake Hazard Toolbox routing is handled by the [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html).
