import {navigation} from '../../../src/shared/utils/navigation.utils';
import * as utils from '../../utils';

describe('Services Application', () => {
  beforeEach(() => {
    cy.viewport('macbook-16');
    cy.visit('/services');
  });

  describe('Check nshmp-template', () => {
    utils.hasNshmpTemplate(navigation());
  });

  describe('Application', () => {
    it('Has service accordians', () => {
      cy.get('mat-accordion')
        .should('be.visible')
        .should('have.length.above', 1)
        .find('.mat-expansion-panel-content')
        .should('have.css', 'visibility', 'hidden');
    });

    it('Can open service accordions', () => {
      cy.get('mat-accordion')
        .should('be.visible')
        .each(accordian => {
          cy.wrap(accordian)
            .click()
            .find('.mat-expansion-panel-content')
            .scrollIntoView()
            .should('have.css', 'visibility', 'visible');
        });
    });
  });
});
