import {navigation} from '../../../../src/shared/utils/navigation.utils';
import * as utils from '../../../utils';

const url = '/ws/nshmp/data/fault-sections';

describe('Model Mapping Application', () => {
  beforeEach(() => {
    cy.viewport('macbook-16');
    cy.intercept(url).as('usage');
    cy.visit('/source/model-maps');
    cy.wait('@usage');
  });

  describe('Check nshmp-template', () => {
    utils.hasNshmpTemplate(navigation());
  });

  describe('Application', () => {
    utils.hasControlPanel();
    utils.hasPlotContent();
    utils.toggleControlPanel();
    utils.togglePlotPanel();

    it('Can set control panel', () => {
      setControlPanel();
    });

    it('Calls service and plots response', () => {
      const buttons: utils.ControlPanelButtons = {
        hasResetButton: false,
        hasServiceCallButton: false,
        hasSubmitButton: true,
      };
      utils.controlPanelButtonsNotEnabled(buttons);

      setControlPanel();

      utils.submitFormCheckPlot({
        plotClass: '.map',
      });

      utils.controlPanelButtonsEnabled(buttons);
    });
  });
});

function setControlPanel() {
  cy.get('nshmp-template-control-panel')
    .find('.fault-section-select')
    .should('be.visible')
    .find('mat-select')
    .click();
  utils.selectMatOption('ALL');
}
