import 'cypress';

export function hasGmmMenu() {
  it('Has GMM select menu', () => {
    cy.get('nshmp-template-control-panel')
      .find('gmm-lib-gmm-menu')
      .scrollIntoView()
      .should('be.visible')
      .within(() => {
        cy.get('.sort-buttons')
          .find('.gmm-group-toggle')
          .should('have.attr', 'value', 'gmmGroup')
          .should('have.class', 'mat-button-toggle-checked');

        cy.get('select')
          .find('optgroup')
          .should('be.visible')
          .should('have.length.above', 1);

        cy.get('.sort-buttons')
          .find('.gmm-alpha-toggle')
          .should('have.attr', 'value', 'gmmAlpha')
          .find('button')
          .click()
          .parent()
          .should('have.class', 'mat-button-toggle-checked');

        cy.get('select').find('optgroup').should('not.exist');

        cy.get('select').find('option').should('have.length.above', 1);

        cy.get('select').scrollTo('bottom').should('be.visible');
      });
  });
}

export function setMagnitude() {
  cy.get('nshmp-template-control-panel')
    .find('.mw-input')
    .scrollIntoView()
    .find('input')
    .should('be.visible')
    .clear()
    .type('6.0')
    .should('have.value', '6.0');
}

export function setSiteParameters() {
  cy.get('nshmp-template-control-panel').within(() => {
    cy.get('.vs30-input')
      .scrollIntoView()
      .find('input')
      .should('be.visible')
      .clear()
      .type('760')
      .should('have.value', '760');

    cy.get('.z1p0-input')
      .scrollIntoView()
      .find('input')
      .should('be.visible')
      .should('have.value', '');

    cy.get('.z2p5-input')
      .scrollIntoView()
      .find('input')
      .should('be.visible')
      .should('have.value', '');
  });
}
export function setSourceGeometryParameters() {
  cy.get('nshmp-template-control-panel').within(() => {
    cy.get('.ztor-input')
      .scrollIntoView()
      .find('input')
      .should('be.visible')
      .clear()
      .type('1.0')
      .should('have.value', '1.0');

    cy.get('.dip-input')
      .scrollIntoView()
      .find('input')
      .should('be.visible')
      .clear()
      .type('90')
      .should('have.value', '90');

    cy.get('.width-input')
      .scrollIntoView()
      .find('input')
      .should('be.visible')
      .clear()
      .type('14')
      .should('have.value', '14');
  });
}
