import failOnConsole from 'jest-fail-on-console';
import {setupZoneTestEnv} from 'jest-preset-angular/setup-env/zone';

// Make Jest test fail on console.error and warn
failOnConsole({
  // https://github.com/primefaces/primeng/issues/14085
  silenceMessage: message => {
    return !(message === 'Error: Could not parse CSS stylesheet');
  },
});

Object.defineProperty(window, 'CSS', {value: null});
Object.defineProperty(window.URL, 'createObjectURL', {value: function () {}});
Object.defineProperty(window, 'getComputedStyle', {
  value: () => {
    return {
      appearance: ['-webkit-appearance'],
      display: 'none',
    };
  },
});

Object.defineProperty(document, 'doctype', {
  value: '<!DOCTYPE html>',
});
Object.defineProperty(document.body.style, 'transform', {
  value: () => {
    return {
      configurable: true,
      enumerable: true,
    };
  },
});

setupZoneTestEnv();
