import {Component, ViewEncapsulation} from '@angular/core';
import {MatListModule} from '@angular/material/list';
import {
  NshmpLibNgDataTableComponent,
  TableData,
} from '@ghsc/nshmp-lib-ng/nshmp';

import {AppService} from '../../services/app.service';

@Component({
  encapsulation: ViewEncapsulation.None,
  imports: [MatListModule, NshmpLibNgDataTableComponent],
  selector: 'app-parameter-summary',
  styleUrl: './parameter-summary.component.scss',
  templateUrl: './parameter-summary.component.html',
})
export class ParameterSummaryComponent {
  formGroup = this.service.formGroup;

  constructor(private service: AppService) {}

  tableData(iml: string, afe: string): TableData[] {
    const imls = iml?.split(',') ?? [];
    const afes = afe?.split(',') ?? [];

    return [
      {
        td: imls,
        th: 'IMLs',
      },
      {
        td: afes,
        th: 'AFEs',
      },
    ];
  }
}
