import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {
  RtgmCalcResponse,
  RtgmUsageResponse,
} from '@ghsc/nshmp-utils-ts/libs/erp/rtgm';
import {
  StaticHazardResponse,
  StaticHazardUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-static/hazard-service';
import {StaticNshmMetadata} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-static/nshm-service';
import {Parameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

import {RtgmPlots} from './plots.model';

export interface AppState {
  /** Available NSHMs */
  availableModels: Parameter[];
  /** Hazard service responses */
  hazardServiceResponse: StaticHazardResponse;
  /** Hazard usage responses */
  hazardUsageResponses: Map<string, StaticHazardUsage>;
  /** NSHM services */
  nshmServices: StaticNshmMetadata[];
  /** RTGM plots */
  plots: RtgmPlots;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Service response */
  serviceResponse: RtgmCalcResponse;
  /** RTGM usage response */
  usageResponse: RtgmUsageResponse;
}
