import {Component} from '@angular/core';
import {
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutPageComponent,
} from '@ghsc/nshmp-lib-ng/about';
import {
  ApplicationSections,
  NshmpLibNgDashboardComponent,
  NshmpLibNgDashboardDescriptionComponent,
  NshmpLibNgDashboardTitleComponent,
  NshmpLibNgTemplateComponent,
} from '@ghsc/nshmp-lib-ng/nshmp';

import * as nav from '../../../shared/utils/navigation.utils';

/**
 * Development dashboard showing links to development applications.
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    NshmpLibNgAboutContentComponent,
    NshmpLibNgDashboardComponent,
    NshmpLibNgDashboardTitleComponent,
    NshmpLibNgDashboardDescriptionComponent,
  ],
  selector: 'app-app',
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent {
  /** Navigation list for menu */
  navigationList = nav.devNavigation();

  title = 'Development Applications';

  /** Main development applications */
  private mainApps = nav.devMainApps();

  sections: ApplicationSections[] = [
    {
      gridClass: 'grid-col-10',
      sections: [
        {
          applications: this.mainApps.map(navigation => ({navigation})),
          gridClass: 'grid-col-12 tablet-lg:grid-col-8 grid-offset-1',
        },
      ],
    },
  ];

  constructor() {}
}
