import {HttpParams} from '@angular/common/http';
import {Routes} from '@angular/router';

import {devGmmRoutes} from './gmm/gmm.routes';
import {devHazardRoutes} from './hazard/hazard.routes';
import {devMathRoutes} from './math/math.routes';

/**
 * Development application routes.
 */
const routes: Routes = [
  // Development dahsboard
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  // Math applications
  {
    children: devMathRoutes(),
    data: {
      label: 'Math Dashboard',
    },
    path: 'math',
  },
  // Hazard applications
  {
    children: devHazardRoutes(),
    data: {
      label: 'Hazard Dashboard',
    },
    path: 'hazard',
  },
  // GMM applications
  {
    children: devGmmRoutes(),
    data: {
      label: 'GMM Dashboard',
    },
    path: 'gmm',
  },
  // Redirect AWS applications
  {
    children: [
      {
        path: '**',
        redirectTo: params => {
          const url = params.url.pop();
          const queryParams = new HttpParams().appendAll(params.queryParams);
          return `/internal/aws/${url.path}?${queryParams.toString()}`;
        },
      },
    ],
    path: 'aws',
  },
];

/**
 * Returns the development applications routes.
 */
export function devRoutes(): Routes {
  return routes;
}
