# Hanging Wall Effects Appplication

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to compute hanging wall effects on ground motion vs. distance.

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hangin-wall-effects/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hangin-wall-effects/components/AboutComponent.html).

### Content

Main content with Angular material tabs for plots, hazard data, and response spectra
data.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hangin-wall-effects/components/ContentComponent.html)

### Control Panel

Control panel with form fields to plot hazard comparisons.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hangin-wall-effects/components/ControlPanelComponent.html).

### Fault Control

Slider and input box for a fault control.

See [FaultControlComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hangin-wall-effects/components/FaultControlComponent.html).

### Plot Settings

The plot settings control panel to change certain settings of the plots.

See [PlotSettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hangin-wall-effects/components/PlotSettingsComponent.html)

### Plot

Plotly plots of hazard comparisons.

See [PlotComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-comapre/components/PlotComponent.html).

## Routing

- GMM applications: [GmmdModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/modules/GmmModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
