import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {FormControl} from '@angular/forms';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {FaultControlComponent} from './fault-control.component';

describe('FaultControlComponent', () => {
  let component: FaultControlComponent;
  let fixture: ComponentFixture<FaultControlComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [FaultControlComponent],
      providers: [
        provideNoopAnimations(),
        provideHttpClient(),
        provideRouter([]),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(FaultControlComponent);
    component = fixture.componentInstance;

    fixture.componentRef.setInput(
      'control',
      new FormControl(0, {
        nonNullable: true,
      }),
    );

    fixture.componentRef.setInput('parameter', {});

    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
