import {Component, input} from '@angular/core';
import {FormControl, ReactiveFormsModule} from '@angular/forms';
import {
  MatError,
  MatFormField,
  MatLabel,
  MatSuffix,
} from '@angular/material/form-field';
import {MatInput} from '@angular/material/input';
import {MatSlider, MatSliderThumb} from '@angular/material/slider';
import {MatTooltip} from '@angular/material/tooltip';
import {GmmUsageParameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws/gmm-services';

import {AppService} from '../../services/app.service';

/**
 * Fault control with slider and input box.
 */
@Component({
  imports: [
    MatLabel,
    MatSlider,
    MatTooltip,
    MatSliderThumb,
    MatFormField,
    MatInput,
    MatSuffix,
    MatError,
    ReactiveFormsModule,
  ],
  selector: 'app-fault-control',
  styleUrl: './fault-control.component.scss',
  templateUrl: './fault-control.component.html',
})
export class FaultControlComponent {
  /** Form control state */
  readonly control = input.required<FormControl<number>>();

  /** Label */
  readonly label = input<string>(undefined);

  /** GMM usage parameter with min and max values */
  readonly parameter = input.required<GmmUsageParameter>();

  /** Input text suffix */
  readonly textSuffix = input<string>(undefined);

  constructor(public service: AppService) {}
}
