# Dynamic Hazard Compare

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to compare two NSHMs.

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/AboutComponent.html).

### Content

Main content with Angular material tabs for plots, hazard data, and response spectra
data.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/ContentComponent.html)

### Control Panel

Control panel with form fields to plot hazard comparisons.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/ControlPanelComponent.html).

### Hazard Data

Tables of hazard data from the plots.

See [HazardDataComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/HazardDataComponent.html).

### Plot Settings

The plot settings control panel to change certain settings of the plots.

See [PlotSettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/PlotSettingsComponent.html)

### Plot

Plotly plots of hazard comparisons.

See [PlotComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-comapre/components/PlotComponent.html).

### Spectra Data

Tables of spectra data from the plots.

See [SpectraDataComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/SpectraDataComponent.html).

### Table Data Panel

Angular material expansion panel for a tabl of data.

See [TableDataPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/dynamic-compare/components/TableDataPanelComponent.html).

## Routing

- Hazard applications: [HazardModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/modules/HazardModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
