import {LowerCasePipe} from '@angular/common';
import {Component, input} from '@angular/core';
import {
  MatExpansionPanel,
  MatExpansionPanelHeader,
  MatExpansionPanelTitle,
} from '@angular/material/expansion';
import {
  NshmpLibNgDataTableComponent,
  NshmpLibNgExportDataTableComponent,
  TableData,
} from '@ghsc/nshmp-lib-ng/nshmp';

/**
 * Expansion panel with data table and export.
 */
@Component({
  imports: [
    NshmpLibNgExportDataTableComponent,
    NshmpLibNgDataTableComponent,
    MatExpansionPanel,
    MatExpansionPanelHeader,
    MatExpansionPanelTitle,
    LowerCasePipe,
  ],
  selector: 'app-table-data-panel',
  styleUrl: './table-data-panel.component.scss',
  templateUrl: './table-data-panel.component.html',
})
export class TableDataPanelComponent {
  /** Text for export button */
  readonly buttonText = input('Export as CSV');

  /** Filename for export  */
  readonly filename = input<string>(undefined);

  /** Expansion panel title */
  readonly panelTitle = input<string>(undefined);

  /** Table data */
  readonly tableData = input<TableData[]>(undefined);
}
