import {inject} from '@angular/core';
import {Routes} from '@angular/router';

import {DynamicHazardCompareGuard} from './dynamic-compare/guards/dynamic-hazard-compare.guard';

/** Routes for dev hazard applications */
const routes: Routes = [
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  {
    canActivate: [() => inject(DynamicHazardCompareGuard).canActivate()],
    data: {
      label: 'Dynamic Hazard Compare',
    },
    loadComponent: () =>
      import('./dynamic-compare/app.component').then(com => com.AppComponent),
    path: 'dynamic-compare',
  },
];

/**
 * Returns development hazard routes.
 */
export function devHazardRoutes(): Routes {
  return routes;
}
