import {Component} from '@angular/core';
import {NshmpLibNgAboutPageComponent} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';
import {
  NshmpTemplateContentContainerComponent,
  NshmpTemplateControlPanelComponent,
  NshmpTemplateMainContentComponent,
  NshmpTemplateSettingsComponent,
} from '@ghsc/nshmp-template';
import {devApps} from 'projects/nshmp-apps/src/shared/utils/applications.utils';
import {devNavigation} from 'projects/nshmp-apps/src/shared/utils/navigation.utils';

import {AboutComponent} from './components/about/about.component';
import {ControlPanelComponent} from './components/control-panel/control-panel.component';
import {PlotComponent} from './components/plot/plot.component';
import {PlotSettingsPanelComponent} from './components/plot-settings-panel/plot-settings-panel.component';

/**
 * Entrypoint for exceedance explorer development application.
 *
 * Plots ground motion vs. annual frequency of exceedance.
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpTemplateContentContainerComponent,
    NshmpTemplateControlPanelComponent,
    NshmpTemplateMainContentComponent,
    NshmpTemplateSettingsComponent,
    NshmpLibNgAboutPageComponent,
    ControlPanelComponent,
    PlotComponent,
    PlotSettingsPanelComponent,
    AboutComponent,
  ],
  selector: 'app-app',
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent {
  /** Navigation list for menu */
  navigationList = devNavigation();
  /** Application title */
  title = devApps().math.exceedanceExplorer.display;
}
