import {Component, computed} from '@angular/core';
import {
  NshmpLibNgPlotSettingsExpansionPanelComponent,
  NshmpPlot,
  PlotSettingsPlots,
} from '@ghsc/nshmp-lib-ng/plot';

import {Plots} from '../../models/plots.model';
import {AppService} from '../../services/app.service';

/**
 * Plot settings control panel for the exceedance plot.
 */
@Component({
  imports: [NshmpLibNgPlotSettingsExpansionPanelComponent],
  selector: 'app-plot-settings-panel',
  styleUrl: './plot-settings-panel.component.scss',
  templateUrl: './plot-settings-panel.component.html',
})
export class PlotSettingsPanelComponent {
  plot = this.service.plot;

  plots = computed<PlotSettingsPlots[]>(() => {
    const plot = this.service.plot();
    const defaultPlot = this.service.defaultPlots().get(Plots.EXCEEDANCE);

    return [
      {
        defaultPlotSetting: defaultPlot.settingsForm.getRawValue(),
        plot,
        updatePlot: plot => this.updatePlot(plot),
      },
    ];
  });

  constructor(public service: AppService) {}

  updatePlot(plot: NshmpPlot): void {
    this.service.updatePlot(plot, Plots.EXCEEDANCE);
  }
}
