import {GmmFormControlIds, GmmImtFormControls} from '@ghsc/nshmp-lib-ng/gmm';

/**
 * Control panel form fields.
 */
export interface FormControls extends GmmImtFormControls {
  /** Max distance */
  rMax: number;
  /** Min distance */
  rMin: number;
}

/**
 * Control panel form ids.
 */
enum GmmDistanceFormControlIds {
  IMT = 'imt',
  R_MAX = 'rMax',
  R_MIN = 'rMin',
}

/**
 * Application control panel form field ids.
 */
export const FormControlIds = {
  ...GmmFormControlIds,
  ...GmmDistanceFormControlIds,
};

/**
 * Application control panel form field ids.
 */
export type FormControlIds = GmmFormControlIds | GmmDistanceFormControlIds;
