import {Routes} from '@angular/router';

/** GMM routes */
const routes: Routes = [
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  {
    data: {
      label: 'Ground Motion vs. Distance',
    },
    loadComponent: () =>
      import('./distance/app.component').then(com => com.AppComponent),
    path: 'distance',
  },
  {
    data: {
      label: 'Ground Motion vs. Magnitude',
    },
    loadComponent: () =>
      import('./magnitude/app.component').then(com => com.AppComponent),
    path: 'magnitude',
  },
  {
    data: {
      label: 'Response Spectra',
    },
    loadComponent: () =>
      import('./spectra/app.component').then(com => com.AppComponent),
    path: 'spectra',
  },
];

/**
 * Return GMM application routes.
 */
export function gmmRoutes(): Routes {
  return routes;
}
