# Ground Motion vs. Magnitude Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Application to plot ground motion vs magnitude.

## Services

Services used from [nshmp-ws](https://code.usgs.gov/ghsc/nshmp/nshmp-ws),
<https://earthquake.usgs.gov/ws/nshmp/data/>.

Example of services called:

- Usage: <https://earthquake.usgs.gov/ws/nshmp/data/gmm/magnitude>
- Service call: <https://earthquake.usgs.gov/ws/nshmp/data/gmm/magnitude?dip=90&distance=10&gmm=NGA_EAST_2018&imt=PGA&mMax=8&mMin=5&Mw=6.5&showEpistemicUncertainty=false&step=0.1&vs30=760&width=14&zTor=0.5>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/AboutComponent.html).

### Content

Main content with Angular material tabs for different content.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to plot ground motion vs distance.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/ControlPanelComponent.html).

### Events Parameters

Control panel form fields GMM event parameters.

See [EventParametersComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/EventParametersComponent.html).

### Parameter Summary

Summary of form field values used to call service.

See [ParameterSummaryComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/ParameterSummaryComponent.html).

### Path Parameters

Control panel form fields GMM path parameters.

See [PathParametersComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/PathParametersComponent.html).

### Plots

Ground motion vs. distance plot.

See [PlotsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/PlotsComponent.html).

### Settings

Plot settings.

See [SettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/SettingsComponent.html).

### Site Parameters

Control panel form fields GMM site parameters.

See [SiteParametersComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/SiteParametersComponent.html).

### Source Parameters

Control panel form fields GMM source parameters.

See [SourceParametersComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/components/SourceParametersComponent.html).

## Routing

- Ground motion models applications: [GmmModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/modules/GmmModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
