import {Component} from '@angular/core';
import {
  AboutMainContentTab,
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutControlPanelComponent,
  NshmpLibNgAboutDescriptionComponent,
  NshmpLibNgAboutDescriptionTitleComponent,
  NshmpLibNgAboutHeaderControlsComponent,
  NshmpLibNgAboutMainContentTabsComponent,
  NshmpLibNgAboutPlotlyComponent,
  NshmpLibNgAboutSettingsComponent,
  NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
} from '@ghsc/nshmp-lib-ng/about';

/**
 * About page for ground motion vs magnitude.
 */
@Component({
  imports: [
    NshmpLibNgAboutContentComponent,
    NshmpLibNgAboutDescriptionComponent,
    NshmpLibNgAboutDescriptionTitleComponent,
    NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
    NshmpLibNgAboutHeaderControlsComponent,
    NshmpLibNgAboutControlPanelComponent,
    NshmpLibNgAboutMainContentTabsComponent,
    NshmpLibNgAboutPlotlyComponent,
    NshmpLibNgAboutSettingsComponent,
  ],
  selector: 'app-about',
  styleUrl: './about.component.scss',
  templateUrl: './about.component.html',
})
export class AboutComponent {
  /** About main content tabs */
  tabInfo: AboutMainContentTab[] = [
    {
      tabDescription: 'Shows the ground motion vs. magnitude plots.',
      tabTitle: 'Plots',
    },
    {
      tabDescription:
        'Shows the ground motion vs. magnitude median data in tabular form.',
      tabTitle: 'Medians',
    },
    {
      tabDescription:
        'Shows the ground motion vs. magnitude standard deviation data in tabular form.',
      tabTitle: 'Sigmas',
    },
  ];

  constructor() {}
}
