import {GmmFormControlIds, GmmImtFormControls} from '@ghsc/nshmp-lib-ng/gmm';

/**
 * Control panel form fields.
 */
export interface GmmMagnitudeFormControls extends GmmImtFormControls {
  /** Distance */
  distance: number;
  /** Max magnitude */
  mMax: number;
  /** Min magnitude */
  mMin: number;
  /** Magnitude step */
  step: number;
}

/**
 * Control panel form ids.
 */
enum GmmMagnitudeFormControlIds {
  DISTANCE = 'distance',
  IMT = 'imt',
  M_MAX = 'mMax',
  M_MIN = 'mMin',
  STEP = 'step',
}

/**
 * Application control panel form field ids.
 */
export const FormControlIds = {
  ...GmmFormControlIds,
  ...GmmMagnitudeFormControlIds,
};

/**
 * Application control panel form field ids.
 */
export type FormControlIds = GmmFormControlIds | GmmMagnitudeFormControlIds;
