# Disaggregation Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Application to call and plot disaggregations.

## Services

Applications calls
[NSHMs](https://earthquake.usgs.gov/ws/nshmp/hazard/dynamic/nshms)
service to see what NSHM are installed.

Services used from [nshmp-haz](https://code.usgs.gov/ghsc/nshmp/nshmp-haz).

Example of installed NSHMs:

- <https://earthquake.usgs.gov/ws/nshmp/conus-2018/dynamic/>
- <https://earthquake.usgs.gov/ws/nshmp/hawaii-2021/dynamic/>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/AboutComponent.html).

### Content

Main content.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to call service.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/ControlPanelComponent.html).

### Disaggregation Contributions

Table with disaggregation contributions.

See [DisaggContributionComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/DisaggContributorsComponent.html).

### Disaggregation Summary

Disaggregation summaries from service response.

See [DisaggSummaryComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/DisaggSummaryComponent.html).

### Parameter Summary

Summary of form field values used to call service.

See [ParameterSummaryComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/ParameterSummaryComponent.html).

### Plots

Disaggregation plots with select menu on component.

See [PlotsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg/components/PlotsComponent.html).

## Routing

- Hazard applications: [HazardModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/modules/HazardModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
