import {DecimalPipe, NgClass} from '@angular/common';
import {Component, input} from '@angular/core';
import {MatButton} from '@angular/material/button';
import {MatDivider} from '@angular/material/divider';
import {MatIcon} from '@angular/material/icon';
import {
  FormatLatitudePipe,
  FormatLongitudePipe,
} from '@ghsc/nshmp-lib-ng/hazard';
import {
  DisaggComponentData,
  DisaggSource,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/disagg-service';

import {AppService} from '../../services/app.service';

/**
 * Table with disaggregation contributions from service response.
 */
@Component({
  imports: [
    MatButton,
    MatDivider,
    NgClass,
    DecimalPipe,
    FormatLatitudePipe,
    FormatLongitudePipe,
    MatIcon,
  ],
  selector: 'app-disagg-contributors',
  styleUrl: './disagg-contributors.component.scss',
  templateUrl: './disagg-contributors.component.html',
})
export class DisaggContributorsComponent {
  /** Disaggregation component data state */
  readonly componentData = input.required<DisaggComponentData>();

  readonly showExportButton = input(true);

  /** Form field state */
  form = this.service.formGroup;

  /** Disaggregation service response state */
  serviceResponse = this.service.serviceResponse;

  constructor(public service: AppService) {}

  dataEpsilon(data: DisaggSource): number {
    return data?.ε;
  }
}
