import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {MatButton} from '@angular/material/button';
import {MatOption} from '@angular/material/core';
import {MatDivider} from '@angular/material/divider';
import {MatFormField, MatLabel} from '@angular/material/form-field';
import {MatSelect} from '@angular/material/select';
import {MatSliderModule} from '@angular/material/slider';
import {NshmpLibNgHazardDisaggPlotComponent} from '@ghsc/nshmp-lib-ng/hazard';
import {NshmpTemplateService} from '@ghsc/nshmp-template';

import {AppService} from '../../services/app.service';

/**
 * Disaggregation plot with select menu of component.
 */
@Component({
  imports: [
    NshmpLibNgHazardDisaggPlotComponent,
    MatButton,
    MatDivider,
    MatFormField,
    MatLabel,
    MatSelect,
    MatOption,
    AsyncPipe,
    ReactiveFormsModule,
    MatSliderModule,
    FormsModule,
  ],
  selector: 'app-plots',
  styleUrl: './plots.component.scss',
  templateUrl: './plots.component.html',
})
export class PlotsComponent {
  /** Disaggregation response data state */
  disaggData = this.service.disaggData;
  /** Form field state */
  form = this.service.formGroup;
  /** Disaggreagtion service response */
  serviceResponse = this.service.serviceResponse;

  constructor(
    public service: AppService,
    public templateService: NshmpTemplateService,
  ) {}

  /** Print report */
  exportReport(): void {
    print();
  }
}
