import {Routes} from '@angular/router';

/** Hazard application routes */
const routes: Routes = [
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  {
    data: {
      label: 'Disaggregation',
    },
    loadComponent: () =>
      import('./disagg/app.component').then(com => com.AppComponent),
    path: 'disagg',
  },
  {
    data: {
      label: 'Dynamic Hazard',
    },
    loadComponent: () =>
      import('./dynamic/app.component').then(com => com.AppComponent),
    path: 'dynamic',
  },
  {
    data: {
      label: 'Static Hazard',
    },
    loadComponent: () =>
      import('./static/app.component').then(com => com.AppComponent),
    path: 'static',
  },
];

/**
 * Return hazard application routes.
 */
export function hazardRoutes(): Routes {
  return routes;
}
