# Static Hazard Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Application to retrieve and plot static hazard from published NSHMs.

## Services

Applications calls
[NSHMs](https://earthquake.usgs.gov/ws/nshmp/hazard/static/nshms)
service to see what NSHM are installed.

Services used from [nshmp-ws-static](https://code.usgs.gov/ghsc/nshmp/nshmp-ws-static).

Example of installed NSHMs:

- <https://earthquake.usgs.gov/ws/nshmp/alaska-2007/static/>
- <https://earthquake.usgs.gov/ws/nshmp/amsam-2012/static/>
- <https://earthquake.usgs.gov/ws/nshmp/conus-2018/static/>
- <https://earthquake.usgs.gov/ws/nshmp/gnmi/static/>
- <https://earthquake.usgs.gov/ws/nshmp/hawaii-2021/static/>
- <https://earthquake.usgs.gov/ws/nshmp/prvi-2003/static/>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/AboutComponent.html).

### Content

Main content.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to call service.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/ControlPanelComponent.html).

### Curve Data

Table of hazard curve data.

See [CurveDataComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/CurveDataComponent.html).

### Parameter Summary

Summary of form field values used to call service.

See [ParameterSummaryComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/ParameterSummaryComponent.html).

### Plots

Static hazard plots.

See [PlotsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/PlotsComponent.html).

### Settings

Plot settings.

See [SettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/SettingsComponent.html).

### Spectrum Data

Table of spectrum data.

See [SpectrumComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/components/SpectrumDataComponent.html).

## Routing

- Hazard applications: [HazardModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/modules/HazardModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
