import {ResponseSpectra} from '@ghsc/nshmp-lib-ng/hazard';
import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {NshmpPlot} from '@ghsc/nshmp-lib-ng/plot';
import {
  StaticHazardResponse,
  StaticHazardUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-static/hazard-service';
import {StaticNshmMetadata} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-static/nshm-service';
import {Parameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

/**
 * Static hazard state.
 */
export interface AppState {
  /** Available NSHMs */
  availableModels: Parameter[];
  /** NSHM services */
  nshmServices: StaticNshmMetadata[];
  /** Hazard plots */
  plots: Map<string, NshmpPlot>;
  /** Response spectra */
  responseSpectra: ResponseSpectra[];
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Hazard service responses */
  serviceResponse: StaticHazardResponse;
  /** Hazard usage responses */
  usageResponses: Map<string, StaticHazardUsage>;
}
