# Check Hazard Jobs Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to get logs from a hazard job running on AWS.

## Services

Services used in application:

- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/nshmp-haz-logs>
- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/jobs>
- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/terminate-job>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs/components/AboutComponent.html).

### Content

Main content for application showing hazard run job logs.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to call service.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs/components/ControlPanelComponent.html).

### Snack Bar

Angular material [snack bar](https://material.angular.io/components/snack-bar)
to show the link to download the hazard run results.

See [SnackBarComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs/components/SnackBarComponent.html).

## Routing

- AWS applications: [AwsModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/modules/AwsModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
