# Submit Hazard Jobs to AWS Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Development application to submit nshmp-haz hazard jobs on AWS.

Services used in application:

- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/run-nshmp-haz>
- <https://earthquake.usgs.gov/ws/nshmp/hazard-runs/upload-hazard-input-file>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/AboutComponent.html).

### Config

The HTTP POST file structure.

See [ConfigComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/ConfigComponent.html).

### Config Example

YAML or JSON example of HTTP POST file.

See [ConfigExampleComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/ConfigExampleComponent.html).

### Content

Main content for application with form fields and tabs.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/ContentComponent.html).

### Form

Form fields to construct the HTTP POST to call service.

See [FormComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/FormComponent.html).

### Job Submitted

Angular material dialog with summary of submitted job.

See [JobSubmittedComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/components/JobSubmittedComponent.html).

## Routing

- AWS applications: [AwsModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/modules/AwsModule.html)
- Development applications: [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
