import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed, waitForAsync} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {AppComponent} from './app.component';
import {AboutComponent} from './components/about/about.component';
import {ConfigComponent} from './components/config/config.component';
import {ConfigExampleComponent} from './components/config-example/config-example.component';
import {ContentComponent} from './components/content/content.component';
import {FormComponent} from './components/form/form.component';

describe('MainComponent', () => {
  let component: AppComponent;
  let fixture: ComponentFixture<AppComponent>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [
        AppComponent,
        ContentComponent,
        ConfigComponent,
        ConfigExampleComponent,
        FormComponent,
        AboutComponent,
      ],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
      teardown: {destroyAfterEach: false},
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(AppComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
