import {Component, OnInit} from '@angular/core';
import {NshmpLibNgAboutPageComponent} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';
import {internalApps} from 'projects/nshmp-apps/src/shared/utils/applications.utils';
import {internalNavigation} from 'projects/nshmp-apps/src/shared/utils/navigation.utils';

import {AboutComponent} from './components/about/about.component';
import {ContentComponent} from './components/content/content.component';
import {AppService} from './services/app.service';

/**
 * Application to submit hazard jobs to AWS.
 *
 * Services called:
 *    - {@link https://earthquake.usgs.gov/ws/nshmp/hazard-runs/run-nshmp-haz}
 *    - {@link https://earthquake.usgs.gov/ws/nshmp/hazard-runs/upload-hazard-input-file}
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    ContentComponent,
    AboutComponent,
  ],
  selector: 'app-app',
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent implements OnInit {
  /** Navigation list for menu */
  navigationList = internalNavigation();
  /** Application title */
  title = internalApps().aws.submitHazJobs.display;

  constructor(private service: AppService) {}

  ngOnInit(): void {
    this.service.getNshmTag();
  }
}
