import {KeyValue} from '@angular/common';

/**
 * Returns an array of available regions bounds for nshmp-maps.
 *
 * See https://code.usgs.gov/ghsc/nshmp/nshmp-maps/-/blob/main/nshmp_maps/region.py
 */
export function mapRegions(): KeyValue<string, string>[] {
  return [
    {key: '', value: null},
    {key: 'Alaska', value: 'AK'},
    {key: 'CEUS', value: 'CEUS'},
    {key: 'CONUS', value: 'CONUS'},
    {key: 'Cybershake', value: 'CYBERSHAKE'},
    {key: 'Hawaii', value: 'HI'},
    {key: 'LA Basin', value: 'LA_BASIN'},
    {key: 'New Madrid', value: 'NEW_MADRID'},
    {key: 'Puget', value: 'PUGET'},
    {key: 'San Francisco Bay', value: 'SF_BAY'},
    {key: 'Wasatch', value: 'WASATCH'},
    {key: 'WUS', value: 'WUS'},
  ];
}
