import {Component, OnInit} from '@angular/core';
import {NshmpLibNgAboutPageComponent} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';
import {internalApps} from 'projects/nshmp-apps/src/shared/utils/applications.utils';
import {internalNavigation} from 'projects/nshmp-apps/src/shared/utils/navigation.utils';

import {AboutComponent} from './components/about/about.component';
import {ContentComponent} from './components/content/content.component';
import {AppService} from './services/app.service';

/**
 * Application to terminate running hazard jobs on AWS.
 *
 * Services called:
 *  - {@link https://earthquake.usgs.gov/ws/nshmp/hazard-runs/jobs}
 *  - {@link https://earthquake.usgs.gov/ws/nshmp/hazard-runs/terminate-job}
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    ContentComponent,
    AboutComponent,
  ],
  selector: 'app-app',
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent implements OnInit {
  /** Navigation list for menu */
  navigationList = internalNavigation();
  /** Application title */
  title = internalApps().aws.terminateHazJobs.display;

  constructor(private service: AppService) {}

  ngOnInit(): void {
    this.service.init();
  }
}
