import {Routes} from '@angular/router';

import {devAwsRoutes} from './aws/aws.routes';
import {networkGuard} from './shared/guards/network.guard';

/**
 * Internal application routes.
 */
const routes: Routes = [
  // Development dahsboard
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  // AWS applications
  {
    canActivate: [networkGuard],
    children: devAwsRoutes(),
    data: {
      label: 'Internal Dashboard',
    },
    path: 'aws',
  },
];

/**
 * Returns the internal applications routes.
 */
export function internalRoutes(): Routes {
  return routes;
}
