# Magnitude Frequency Distribution (MFD) Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Application to plot MFDs and logic trees.

Logic trees are shown using the [Plotly Treemap](https://plotly.com/javascript/treemaps/) plot.

## Services

Applications calls
[NSHMs](https://earthquake.usgs.gov/ws/nshmp/hazard/dynamic/nshms)
service to see what NSHM are installed.

Services used from [nshmp-haz](https://code.usgs.gov/ghsc/nshmp/nshmp-haz).

Example of services called:

- MFD usage: <https://earthquake.usgs.gov/ws/nshmp/conus-2018/dynamic/trees>
- Cascadia subduction zone: <https://earthquake.usgs.gov/ws/nshmp/conus-2018/dynamic/trees/mfds/3199>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/AboutComponent.html).

### Content

Main content with Angular material tabs for different content.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to plot MFDs and logic trees.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/ControlPanelComponent.html).

### Data

Table of MFD service response data shown in plot.

See [DataComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/DataComponent.html).

### Logic Tree

Logic tree plot using [Plotly Treemap](https://plotly.com/javascript/treemaps/).

See [LogicTreeComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/LogicTreeComponent.html).

### Parameter Summary

Summary of form field values used to call service.

See [ParameterSummaryComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/ParameterSummaryComponent.html).

### Plots

MFD plot.

See [PlotsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/PlotsComponent.html).

### Settings

Plot settings.

See [SettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/components/SettingsComponent.html).

## Routing

- Source model applications: [SourceModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/modules/SourceModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
