import {Component, computed} from '@angular/core';
import {MatTab, MatTabContent, MatTabGroup} from '@angular/material/tabs';

import {AppService} from '../../services/app.service';
import {DataComponent} from '../data/data.component';
import {LogicTreeComponent} from '../logic-tree/logic-tree.component';
import {PlotsComponent} from '../plots/plots.component';

/**
 * Main application content with Angular material tabs including:
 *  - Plots tab: Plots the MFD
 *  - Logic tree tab: Plot the MFD logic tree using tree plot
 *  - Data tab: table of MFD data
 */
@Component({
  imports: [
    MatTabGroup,
    MatTab,
    MatTabContent,
    PlotsComponent,
    LogicTreeComponent,
    DataComponent,
  ],
  selector: 'app-content',
  styleUrl: './content.component.scss',
  templateUrl: './content.component.html',
})
export class ContentComponent {
  /** Whether a service has been called and there is data */
  hasData = computed(() => this.service.serviceResponse() !== null);

  constructor(public service: AppService) {}
}
