import * as model from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/model';
import {
  SourceType,
  TectonicSettings,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/model';
import {NshmId} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/nshm';

/**  All MFD types */
enum MfdTypeAll {
  /** Show all MFD types on plot */
  ALL = 'ALL',
  /** Total MFD */
  TOTAL = 'TOTAL',
}

/** Application MFD types */
export type MfdType = model.MfdType | MfdTypeAll;
/** Application MFD types */
export const MfdType = {...model.MfdType, ...MfdTypeAll};

/**
 * Control panel form fields.
 */
export interface ControlForm {
  /** Whether to show the cumulative series */
  cumulative: boolean;
  /** MFD type */
  mfdType: MfdType | null;
  /** NSHM */
  model: NshmId;
  /** MFD source */
  source: MfdSource;
  sourceAsString: string;
  /** Source tree id number */
  sourceTree: number | null;
  /** Whether to apply the weights to the MFDs */
  weightedMfds: boolean;
}

/**
 * The MFD source.
 */
export interface MfdSource {
  /** Earthquake source type */
  sourceType: SourceType;
  /** Earthquake tectonic setting */
  tectonicSettings: TectonicSettings;
}
