# Model Mapping Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Application to map various layers associated with a NSHM using [Leaflet](https://leafletjs.com/).

Layers include:

- NSHM border
- test sites
- fault sections
- Decollement sections
- Interface sections
- Zone sources

## Services

Applications calls
[NSHMs](https://earthquake.usgs.gov/ws/nshmp/hazard/dynamic/nshms)
service to see what NSHM are installed.

Services used from [nshmp-haz](https://code.usgs.gov/ghsc/nshmp/nshmp-haz).

Example of services called:

- Features: <https://earthquake.usgs.gov/ws/nshmp/conus-2018/dynamic/features>
- Test sites: <https://earthquake.usgs.gov/ws/nshmp/conus-2018/dynamic/sites>
- Map boundary: <https://earthquake.usgs.gov/ws/nshmp/conus-2018/dynamic/map>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/model-maps/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/model-maps/components/AboutComponent.html).

### Control Panel

Control panel for application, form fields and toggles to add map layers.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/model-maps/components/ControlPanelComponent.html).

### Map

Leaflet mapping component to map all layers.

See [MapComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/model-maps/components/MapComponent.html).

## Routing

- Source model applications: [SourceModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/modules/SourceModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
