import {Component, computed} from '@angular/core';
import {MatDivider} from '@angular/material/divider';
import {MatExpansionModule} from '@angular/material/expansion';
import {NshmpLibNgAppMetadataComponent} from '@ghsc/nshmp-lib-ng/nshmp';
import {
  NshmpLibNgPlotComponent,
  NshmpLibNgPlotsContainerComponent,
} from '@ghsc/nshmp-lib-ng/plot';

import {AppService} from '../../services/app.service';
import {ParameterSummaryComponent} from '../parameter-summary/parameter-summary.component';

@Component({
  imports: [
    MatExpansionModule,
    MatDivider,
    NshmpLibNgPlotComponent,
    NshmpLibNgPlotsContainerComponent,
    ParameterSummaryComponent,
    NshmpLibNgAppMetadataComponent,
  ],
  selector: 'app-plots',
  styleUrl: './plots.component.scss',
  templateUrl: './plots.component.html',
})
export class PlotsComponent {
  plots = computed(() => [
    this.service.plots().rate,
    this.service.plots().probability,
  ]);

  /** Repo metadata */
  repositories = computed(() => this.service.usage()?.metadata.repositories);

  constructor(private service: AppService) {}
}
