import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {NshmMetadata} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/nshm-service';
import {
  ProbabilityResponse,
  ProbabilityUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/probability-service';
import {RateResponse} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/rates-service';
import {Parameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

import {RatePlots} from './plots.model';

export interface AppState {
  /** Available NSHMs */
  availableModels: Parameter[];
  /** NSHM service metadata */
  nshmServices: NshmMetadata[];
  /** Hazard plots */
  plots: RatePlots;
  /** Probability service response */
  probabilityResponse: ProbabilityResponse;
  /** Rate service responses */
  rateResponse: RateResponse;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Rate usage responses */
  usageResponses: Map<string, ProbabilityUsage>;
}
