import {Routes} from '@angular/router';

/** Routes for source model applications */
const routes: Routes = [
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  // model maps application
  {
    data: {
      label: 'Source Model Maps',
    },
    loadComponent: () =>
      import('./model-maps/app.component').then(com => com.AppComponent),
    path: 'model-maps',
  },
  // Redirect from old application name
  {
    path: 'data',
    redirectTo: 'model-maps',
  },
  // MFD application
  {
    data: {
      label: 'Magnitude Frequency Distribution',
    },
    loadComponent: () =>
      import('./mfd/app.component').then(com => com.AppComponent),
    path: 'mfd',
  },
  // Rates application
  {
    data: {
      label: 'Rates and Probabilities',
    },
    loadComponent: () =>
      import('./rates/app.component').then(com => com.AppComponent),
    path: 'rates',
  },
];

/**
 * Returns source application routes.
 */
export function sourceRoutes(): Routes {
  return routes;
}
