import {
  HttpErrorResponse,
  HttpEvent,
  HttpHandlerFn,
  HttpRequest,
} from '@angular/common/http';
import {catchError, Observable} from 'rxjs';

export function httpErrorInterceptor(
  req: HttpRequest<unknown>,
  next: HttpHandlerFn,
): Observable<HttpEvent<unknown>> {
  return next(req).pipe(
    catchError(error => {
      if (
        error instanceof HttpErrorResponse &&
        typeof error.error === 'string'
      ) {
        throw new Error(error.error);
      }

      throw error;
    }),
  );
}
