import {Navigation} from '@ghsc/nshmp-template';

/**
 * Main applications navigation config.
 */
export interface Applications {
  /** Dashboard */
  dashboard: Navigation;
  /** ERP design maps applications */
  designMaps: DesignMapsApplications;
  /** GMM applications */
  gmm: GmmApplications;
  /** Hazard applications */
  hazard: HazardApplications;
  /** NCM applications */
  ncm: NcmApplications;
  /** Service application */
  services: Navigation;
  /** Source applications */
  source: SourceApplications;
}

/**
 * AWS application navigation config
 */
export interface AwsApplications {
  /** Check hazard jobs application */
  checkHazJobs: Navigation;
  /** Dashboard */
  dashboard: Navigation;
  /** Hazard run job history application */
  hazJobHistory: Navigation;
  /** Submit hazard run jobs application */
  submitHazJobs: Navigation;
  /** Terminate hazard runs applications */
  terminateHazJobs: Navigation;
}

/**
 * Development applications navigation config.
 */
export interface DevApplications {
  /** Dev dashboard */
  dashboard: Navigation;
  /** Dev GMM applications */
  gmm: DevGmmApplications;
  /** Dev hazard applications */
  hazard: DevHazardApplications;
  /** Dev math applications */
  math: DevMathApplications;
}

export interface DevMathApplications {
  /** Math dashboard */
  dashboard: Navigation;
  /** Exceedance explorer applications */
  exceedanceExplorer: Navigation;
}

export interface InternalApplications {
  /** AWS applications */
  aws: AwsApplications;
  /** Internal dashboard */
  dashboard: Navigation;
}

/**
 * Development GMM applications.
 */
export interface DevGmmApplications {
  /** Dev GMM dashboard */
  dashboard: Navigation;
  /** Hanging wall effects application */
  hangingWallEffects: Navigation;
}

/**
 * Development hazard applications.
 */
export interface DevHazardApplications {
  /** Dev harad dashboard */
  dashboard: Navigation;
  /** Dynamic compare hazard applicaiton */
  dynamicCompare: Navigation;
}

/**
 * ERP design maps applications.
 */
export interface DesignMapsApplications {
  /** Design map dashboard */
  dashboard: Navigation;
  rtgm: Navigation;
}

/**
 * GMM applications.
 */
export interface GmmApplications {
  /** GMM dashboard */
  dashboard: Navigation;
  /** Ground motion vs. distance application */
  distance: Navigation;
  /** Ground motion vs magnitude application */
  magnitude: Navigation;
  /** Response spectra application */
  spectra: Navigation;
}

/**
 * Hazard applications.
 */
export interface HazardApplications {
  /** Hazard dashboard */
  dashboard: Navigation;
  /** Disaggregation application */
  disagg: Navigation;
  /** Dynamic hazard calculation application */
  dynamic: Navigation;
  /** Static hazard application */
  static: Navigation;
}

/**
 * NCM applications.
 */
export interface NcmApplications {
  /** NCM dashboard */
  dashboard: Navigation;
  /** Geophysical profiles application */
  geophysicalProfiles: Navigation;
}

/**
 * Source applications
 */
export interface SourceApplications {
  /** Source model dashboard */
  dashboard: Navigation;
  /** Data mapping application */
  data: Navigation;
  /** Magnitude frequency distribution application */
  mfd: Navigation;
  /** Rate and probability application */
  rateAndProbability: Navigation;
}
