import {Component} from '@angular/core';
import {NshmpLibNgAboutPageComponent} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';

import {NavigationService} from '../navigation.service';
import {AboutComponent} from './components/about/about.component';
import {ContentComponent} from './components/content/content.component';

/**
 * Main application entrypoint for services.
 *
 * Angular expansion panels with Swagger pages of all applications.
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    ContentComponent,
    AboutComponent,
  ],
  selector: 'app-app',
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent {
  /** Application title */
  title = 'NSHMP Web Services';

  constructor(public navigationService: NavigationService) {}
}
