import {provideHttpClient} from '@angular/common/http';
import {enableProdMode, importProvidersFrom} from '@angular/core';
import {bootstrapApplication, BrowserModule} from '@angular/platform-browser';
import {provideAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';
import {environment} from 'projects/nshmp-apps/src/environments/environment';

import {AppComponent} from './app/app.component';
import {wsRoutes} from './app/app.routes';

if (environment.production) {
  enableProdMode();
}

bootstrapApplication(AppComponent, {
  providers: [
    importProvidersFrom(BrowserModule),
    provideRouter(wsRoutes()),
    provideAnimations(),
    provideHttpClient(),
  ],
}).catch(err => console.error(err));
