#!/bin/bash
#
# Build all compodocs.
####

export FAVICON_PATH="../nshmp-apps/src/assets/favicon.ico";
export THEME="material";

SERVE="${SERVE:-false}";

script_dir="$(dirname "${BASH_SOURCE[0]}")";

# Build application docs
bash "${script_dir}"/build-app-docs.sh;

printf "\nBuilding USGS Earthquake Hazard Toolbox documentation\n";

start="";

if [ "${SERVE}" == "true" ]; then
  start="--serve";
fi

npm run compodoc -- \
  --config=".compodoc.yml" \
  --theme="${THEME}" \
  ${start:+ "${start}"} || {
  printf "\nFailed to build USGS Earthquake Hazard Toolbox documentation";
  exit 1;
};

printf "\nUSGS Earthquake Hazard Toolbox documentation built\n";
